Commit 0ce7e82d authored by Robert Maynard's avatar Robert Maynard

VTK-m now enables all new CMake policies in 3.14

This means that we opt-in to policy changes introduced in 3.14
parent ad15ae15
......@@ -96,7 +96,7 @@ endif()
if(VTKm_ENABLE_OPENMP AND NOT TARGET vtkm::openmp)
cmake_minimum_required(VERSION 3.9...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.9...3.14 FATAL_ERROR)
find_package(OpenMP 4.0 REQUIRED COMPONENTS CXX QUIET)
add_library(vtkm::openmp INTERFACE IMPORTED GLOBAL)
......@@ -117,7 +117,7 @@ if(VTKm_ENABLE_OPENMP AND NOT TARGET vtkm::openmp)
endif()
if(VTKm_ENABLE_CUDA AND NOT TARGET vtkm::cuda)
cmake_minimum_required(VERSION 3.9...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.9...3.14 FATAL_ERROR)
enable_language(CUDA)
#To work around https://gitlab.kitware.com/cmake/cmake/issues/17512
......
......@@ -21,11 +21,11 @@
# If you want CUDA support, you will need to have CMake 3.9 on Linux/OSX.
# We require CMake 3.11 with the MSVC generator as the $<COMPILE_LANGUAGE:>
# generator expression is not supported on older versions.
cmake_minimum_required(VERSION 3.8...3.13)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project (VTKm)
if(${CMAKE_GENERATOR} MATCHES "Visual Studio")
cmake_minimum_required(VERSION 3.11...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.11...3.14 FATAL_ERROR)
endif()
# Update module path
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(Clipping CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(ContourTree CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(CosmoTools CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(VTKmDemo CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(GameOfLife CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(HelloWorld CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(Histogram CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(IsoSurface CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(MultiBackend CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(Oscillator CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(ParticleAdvection CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(RedistributePoints CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(RenderingExample CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(Streamline CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(TauTiming CXX)
#Find the VTK-m package
......
......@@ -21,7 +21,7 @@
##=============================================================================
#Find the VTK-m package
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(TemporalAdvection CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(Tetrahedra CXX)
#Find the VTK-m package
......
......@@ -19,7 +19,7 @@
## this software.
##
##=============================================================================
cmake_minimum_required(VERSION 3.8...3.13 FATAL_ERROR)
cmake_minimum_required(VERSION 3.8...3.14 FATAL_ERROR)
project(UnifiedMemory CXX)
#Find the VTK-m package
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment